CURVP2(3NCARG)

NAME
CURVP2 - interpolate a periodic function at a specified point

SYNOPSIS
FUNCTION CURVP2 (T, N, X, Y, P, YP, SIGMA)

This function interpolates a value at a specified point using a spline under tension. CURVP1 must be called prior to calling CURVP2, and the values thus obtained used as input to CURVP2. CURVP2 returns the interpolated function value at the X-coordinate specified.

DESCRIPTION

T   (real, input) The abscissa for which an interpolated function value is desired.

N   (integer, input) The number of input data values. (N > 1)

X   (real, input) An array containing the abscissae for the input function.

Y   (real, input) An array containing the functional values of the input data -- Y(K) is the functional value at X(K) for K=1,N.

X   (real, input) The period of the function.

YP  (real, input) Contains values for the second derivative (as calculated by CURV1).

SIGMA
    (real, input) Tension factor. Values near zero result in a cubic spline; large values (e.g. 50) result in nearly a polygonal line. A typical value is 1.

RETURN VALUE
CURVP2 returns the interpolated value at the specified point T.

ACCESS
To use CURVP2, load the NCAR Graphics library ngmath.

SEE ALSO
curvp1, fitgrid_params.

Complete documentation for Fitgrid is available at URL
http://ngwww.ucar.edu/ngdoc/ng/ngmath/fitgrid/fithome.html

COPYRIGHT
Copyright (C) 2000
University Corporation for Atmospheric Research

The use of this Software is governed by a License Agreement.